Bug 1662599 - gnome-initial-setup starts rather than normal gnome login
Summary: gnome-initial-setup starts rather than normal gnome login
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-30 17:26 UTC by Fabrizio
Modified: 2019-11-27 14:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 14:17:12 UTC


Attachments (Terms of Use)

Description Fabrizio 2018-12-30 17:26:58 UTC
Description of problem:
i have 2 accounts on fedora 29 workstation, but sometimes when booting the machine, it loads the gnome-initial-setup account as if i have newly installed fedora with no accounts, and asking to create new accounts. everytime it hapens i have to reboot the machine and than it loads my accounts.

Version-Release number of selected component (if applicable): gnome-initial-setup-3.30.0-1.fc29.x86_64


How reproducible: 
It doesn't happen everytime i boot, but more like once a month


Steps to Reproduce:
1. Just turn on your fedora ws machine
2. A gnome-initial-setup gui is prompted
3. Your accounts not visible until reboot

Actual results:
cannot login, but it ask to create a new account

Expected results:
choose account, type password, login

Additional info:
on the machine i have the file ~/.config/gnome-initial-setup-done with yes written inside and ~/.config/run-welcome-tour file is not present 
Never had this issue before upgrade to Fedora 29
Dont know why it happens sometimes and i'm open to suggestions to check any logs to search for what can trigger this

Comment 1 Chase Lau 2019-04-23 02:21:33 UTC
Today on Fedora 30 Beta I had this issue. On boot I had to re-run initial-setup and now the login screen and GNOME settings don't list my user. I posted about it here: https://www.reddit.com/r/Fedora/comments/bg63bk/f30_user_gone_after_reboot/

Comment 2 Ben Cotton 2019-10-31 19:34:36 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Javier Alejandro Castro 2019-11-27 12:43:26 UTC
Exactly the same happening on my Fedora 31 box.

Comment 4 Ben Cotton 2019-11-27 14:17:12 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Ben Cotton 2019-11-27 14:54:12 UTC
This bug was accidentally closed due to a query error. Reopening.


Note You need to log in before you can comment on or make changes to this bug.